# GearmanClient::setData

(PECL gearman <= 0.5.0)

GearmanClient::setData — Set application data (deprecated)

### Description

public GearmanClient::setData ( string `$data` ) : bool

Sets some arbitrary application data that can later be retrieved by GearmanClient::data().

> Note:

> This method has been replaced by GearmanCient::setContext() in the 0.6.0 release of the Gearman extension.

### Parameters

`data`

### Return Values

Always returns `TRUE`.

### See Also

- GearmanClient::data() - Get the application data (deprecated)